Subject: Re: WARNING: CPU: 1 PID: 1 at net/core/netpoll.c:370 netpoll_send_skb+0x1fc/0x20c at boot when netconsole is enabled (kernel v6.9-rc5, v6.8.7, sungem, PowerMac G4 DP)

From: Erhard Furtner <[email-masked]>
Date: Sat, 4 May 2024 16:59:40 +0200

On Mon, 29 Apr 2024 18:36:30 -0700
Jakub Kicinski <[email-masked]> wrote:

> On Sun, 28 Apr 2024 12:53:06 +0200 Erhard Furtner wrote:
> > With netconsole enabled I get this "WARNING: CPU: 1 PID: 1 at
> > net/core/netpoll.c:370 netpoll_send_skb+0x1fc/0x20c" and "WARNING:
> > CPU: 1 PID: 1 at kernel/locking/irqflag-debug.c:10
> > warn_bogus_irq_restore+0x30/0x44" at boot on my PowerMac G4 DP.
> > Happens more often than not (6-7 out of 10 times booting):  
> 
> Could you try with LOCKDEP enabled?
> I wonder if irqs_disabled() behaves differently than we expect.

Enabled LOCK_ALLOC and LOCKDEP and re-tried with v6.9-rc6. I can reproduce the WARNING but got no additional dmesg.

I'll check whether PROVE_LOCKING makes a difference or any of the locking tests show something interesting.

Full dmesg attached.

Regards,
Erhard